aboutsummaryrefslogtreecommitdiffstats
path: root/chapter7
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-19 02:01:33 +0000
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-19 02:01:33 +0000
commitca7ec24a78f9bd8824da23be1c24a98a3c764f5f (patch)
treef8b56862b35c0765024a081f3814043d6b172453 /chapter7
parent13f2c64995621d3180b468c4d525eff1eb8c9993 (diff)
Make adjustments for Odroid N2+ aarch64 build.
Diffstat (limited to 'chapter7')
-rw-r--r--chapter7/bison.sh1
-rw-r--r--chapter7/gettext.sh1
-rw-r--r--chapter7/libstdc++.sh1
-rw-r--r--chapter7/perl.sh1
-rw-r--r--chapter7/python.sh1
-rw-r--r--chapter7/texinfo.sh1
-rw-r--r--chapter7/util-linux.sh1
7 files changed, 7 insertions, 0 deletions
diff --git a/chapter7/bison.sh b/chapter7/bison.sh
index 2385d22..9de734e 100644
--- a/chapter7/bison.sh
+++ b/chapter7/bison.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr --docdir=/usr/share/doc/bison-"${VERSION}" &&
make &&
diff --git a/chapter7/gettext.sh b/chapter7/gettext.sh
index 696cf25..0e1771d 100644
--- a/chapter7/gettext.sh
+++ b/chapter7/gettext.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --disable-shared &&
make &&
diff --git a/chapter7/libstdc++.sh b/chapter7/libstdc++.sh
index de3a6b4..1a0b5ee 100644
--- a/chapter7/libstdc++.sh
+++ b/chapter7/libstdc++.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
ln -s gthr-posix.h libgcc/gthr-default.h &&
mkdir build
diff --git a/chapter7/perl.sh b/chapter7/perl.sh
index 970e17c..627e3e5 100644
--- a/chapter7/perl.sh
+++ b/chapter7/perl.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
MAJMIN="$(cut -d\. -f1,2 <<< "${VERSION}")"
diff --git a/chapter7/python.sh b/chapter7/python.sh
index daf1677..428beaa 100644
--- a/chapter7/python.sh
+++ b/chapter7/python.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--enable-shared \
diff --git a/chapter7/texinfo.sh b/chapter7/texinfo.sh
index 1935156..b3bba9e 100644
--- a/chapter7/texinfo.sh
+++ b/chapter7/texinfo.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr &&
make &&
diff --git a/chapter7/util-linux.sh b/chapter7/util-linux.sh
index 7a00c8c..e0241fa 100644
--- a/chapter7/util-linux.sh
+++ b/chapter7/util-linux.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
mkdir -p /var/lib/hwclock &&
./configure ADJTIME_PATH=/var/lib/hwclock/adjtime \